Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.pdf.actions.MediaSettings Class Reference

Inherits SystemIDisposable.

## Public Types
enum | PlayerWindowType { PlayerWindowType.e_PlayerWindowTypeDockedPage = 1, PlayerWindowType.e_PlayerWindowTypeFloating = 2, PlayerWindowType.e_PlayerWindowTypeFullScreen = 4 }
| Enumeration for the type of window that the media should play in. More...

## Public Member Functions
| MediaSettings ()
| Constructor.
| MediaSettings (bool auto_play, string base_url, int bg_color, float bg_opacity, int duration, int page, int repeat, bool show_ui, bool is_visible, int volume, MediaSettings.PlayerWindowType window_type, FloatingInfo floating_wnd_info)
| Constructor, with parameters. More...
| MediaSettings (MediaSettings media_settings)
| Constructor, with another media settings object. More...
void | Set (bool auto_play, string base_url, int bg_color, float bg_opacity, int duration, int page, int repeat, bool show_ui, bool is_visible, int volume, MediaSettings.PlayerWindowType window_type, FloatingInfo floating_wnd_info)
| Set values. More...

## Properties
bool | auto_play`[get, set]`
| Specify whether the media clip should begin playing automatically after the player is opened. More...
string | base_url`[get, set]`
| The base URL to be used to resolve any relative URLs used in the media clip. More...
int | bg_color`[get, set]`
| The background color for the media player window. Format: 0xRRGGBB.
float | bg_opacity`[get, set]`
| The background opacity for the media player window.
int | duration`[get, set]`
| The amount of time in seconds that playback will take.
FloatingInfo? | floating_wnd_info`[get, set]`
| A FloatingInfo containing properties (listed below) that define the location and style of a floating window.
bool | is_visible`[get, set]`
| A boolean value that specifies whether the player should be visible.
int | page`[get, set]`
| For a docked media player, this property is the number of the page on which the player should be docked. For other types of media players, this property is ignored.
int | repeat`[get, set]`
| The number of times the media playback should automatically repeat. More...
bool | show_ui`[get, set]`
| A boolean value that specifies whether the controls of the media player should be visible or not.
int | volume`[get, set]`
| Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
MediaSettings.PlayerWindowType | window_type`[get, set]`
| That defines which type of window the media player should be created in. Please refer to values starting from foxit.pdf.actions.MediaSettings.PlayerWindowType.e_PlayerWindowTypeDockedPage and this should be one of these values.

## Detailed Description

This class represents media settings.

## Member Enumeration Documentation

## ◆ PlayerWindowType

enum foxit.pdf.actions.MediaSettings.PlayerWindowType
| strong

Enumeration for the type of window that the media should play in.

Values of this enumeration should be used alone.

Enumerator
e_PlayerWindowTypeDockedPage | Window type: a docked page window.
e_PlayerWindowTypeFloating | Window type: a floating window.
e_PlayerWindowTypeFullScreen | Window type: a full-screen window that obscures all other windows.

## Constructor & Destructor Documentation

## ◆ MediaSettings() [1/2]

foxit.pdf.actions.MediaSettings.MediaSettings | ( | bool | auto_play,
|  | string | base_url,
|  | int | bg_color,
|  | float | bg_opacity,
|  | int | duration,
|  | int | page,
|  | int | repeat,
|  | bool | show_ui,
|  | bool | is_visible,
|  | int | volume,
|  | MediaSettings.PlayerWindowType | window_type,
|  | FloatingInfo | floating_wnd_info
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | auto_play | Specify whether the media clip should begin playing automatically after the player is opened.
  [in] | base_url | The base URL to be used to resolve any relative URLs used in the media clip.
  [in] | bg_color | The background color for the media player window.
  [in] | bg_opacity | The background opacity for the media player window.
  [in] | duration | The amount of time in seconds that playback will take.
  [in] | page | The number of the page on which the player should be docked.
  [in] | repeat | The number of times the media playback should automatically repeat.
  [in] | show_ui | A boolean value that specifies whether the controls of the media player should be visible or not.
  [in] | is_visible | A boolean value that specifies whether the player should be visible.
  [in] | volume | Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
  [in] | window_type | That defines which type of window the media player should be created in.
  [in] | floating_wnd_info | A FloatingInfo object containing properties (listed below) that define the location and style of a floating window.

## ◆ MediaSettings() [2/2]

foxit.pdf.actions.MediaSettings.MediaSettings | ( | MediaSettings | media_settings | ) |
| inline

Constructor, with another media settings object.

Parameters

  [in] | media_settings | Another media settings object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.MediaSettings.Set | ( | bool | auto_play,
|  | string | base_url,
|  | int | bg_color,
|  | float | bg_opacity,
|  | int | duration,
|  | int | page,
|  | int | repeat,
|  | bool | show_ui,
|  | bool | is_visible,
|  | int | volume,
|  | MediaSettings.PlayerWindowType | window_type,
|  | FloatingInfo | floating_wnd_info
| ) |  |
| inline

Set values.

Parameters

  [in] | auto_play | Specify whether the media clip should begin playing automatically after the player is opened.
  [in] | base_url | The base URL to be used to resolve any relative URLs used in the media clip.
  [in] | bg_color | The background color for the media player window.
  [in] | bg_opacity | The background opacity for the media player window.
  [in] | duration | The amount of time in seconds that playback will take.
  [in] | page | The number of the page on which the player should be docked.
  [in] | repeat | The number of times the media playback should automatically repeat.
  [in] | show_ui | A boolean value that specifies whether the controls of the media player should be visible or not.
  [in] | is_visible | A boolean value that specifies whether the player should be visible.
  [in] | volume | Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
  [in] | window_type | That defines which type of window the media player should be created in.
  [in] | floating_wnd_info | A FloatingInfo object containing properties (listed below) that define the location and style of a floating window.

Returns
  None.

## Property Documentation

## ◆ auto_play

bool foxit.pdf.actions.MediaSettings.auto_play
| get set

Specify whether the media clip should begin playing automatically after the player is opened.

true means auto play, while false means not.

## ◆ base_url

string foxit.pdf.actions.MediaSettings.base_url
| get set

The base URL to be used to resolve any relative URLs used in the media clip.

For example, if the media opens a web page. There is no default value; if this is not specified, the interpretation of a relative URL will vary depending the media player, but in most cases will not work.

## ◆ repeat

int foxit.pdf.actions.MediaSettings.repeat
| get set

The number of times the media playback should automatically repeat.

The default value of 1 causes the media to be played once.